Loading...
Searching...
No Matches
pcl::FastBilateralFilter< PointT >::Array3D Class Reference

`#include <pcl/filters/fast_bilateral.h>`

## Public Member Functions

| Array3D (const std::size_t width, const std::size_t height, const std::size_t depth)
Eigen::Vector2f & | operator() (const std::size_t x, const std::size_t y, const std::size_t z)
const Eigen::Vector2f & | operator() (const std::size_t x, const std::size_t y, const std::size_t z) const
void | resize (const std::size_t width, const std::size_t height, const std::size_t depth)
Eigen::Vector2f | trilinear_interpolation (const float x, const float y, const float z)
std::size_t | x_size () const
std::size_t | y_size () const
std::size_t | z_size () const
std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::iterator | begin ()
std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::iterator | end ()
std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::const_iterator | begin () const
std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::const_iterator | end () const

## Static Public Member Functions

static std::size_t | clamp (const std::size_t min_value, const std::size_t max_value, const std::size_t x)

## Detailed Description

template<typename PointT>
class pcl::FastBilateralFilter< PointT >::Array3D

Definition at line 111 of file fast_bilateral.h.

## Constructor & Destructor Documentation

## Array3D()

template<typename PointT >

pcl::FastBilateralFilter< PointT >::Array3D::Array3D | ( | const std::size_t | width,
|  | const std::size_t | height,
|  | const std::size_t | depth
| ) |  |

inline

Definition at line 114 of file fast_bilateral.h.

## Member Function Documentation

## begin() [1/2]

template<typename PointT >

std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::iterator pcl::FastBilateralFilter< PointT >::Array3D::begin | ( |  | ) |

inline

Definition at line 162 of file fast_bilateral.h.

Referenced by pcl::FastBilateralFilter< PointT >::applyFilter().

## begin() [2/2]

template<typename PointT >

std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::const_iterator pcl::FastBilateralFilter< PointT >::Array3D::begin | ( |  | ) | const

inline

Definition at line 170 of file fast_bilateral.h.

## clamp()

template<typename PointT >

std::size_t pcl::FastBilateralFilter< PointT >::Array3D::clamp | ( | const std::size_t | min_value,
|  | const std::size_t | max_value,
|  | const std::size_t | x
| ) |  |

inline static

Definition at line 170 of file fast_bilateral.hpp.

## end() [1/2]

template<typename PointT >

std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::iterator pcl::FastBilateralFilter< PointT >::Array3D::end | ( |  | ) |

inline

Definition at line 166 of file fast_bilateral.h.

Referenced by pcl::FastBilateralFilter< PointT >::applyFilter().

## end() [2/2]

template<typename PointT >

std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > >::const_iterator pcl::FastBilateralFilter< PointT >::Array3D::end | ( |  | ) | const

inline

Definition at line 174 of file fast_bilateral.h.

## operator()() [1/2]

template<typename PointT >

Eigen::Vector2f & pcl::FastBilateralFilter< PointT >::Array3D::operator() | ( | const std::size_t | x,
|  | const std::size_t | y,
|  | const std::size_t | z
| ) |  |

inline

Definition at line 123 of file fast_bilateral.h.

## operator()() [2/2]

template<typename PointT >

const Eigen::Vector2f & pcl::FastBilateralFilter< PointT >::Array3D::operator() | ( | const std::size_t | x,
|  | const std::size_t | y,
|  | const std::size_t | z
| ) |  | const

inline

Definition at line 127 of file fast_bilateral.h.

## resize()

template<typename PointT >

void pcl::FastBilateralFilter< PointT >::Array3D::resize | ( | const std::size_t | width,
|  | const std::size_t | height,
|  | const std::size_t | depth
| ) |  |

inline

Definition at line 131 of file fast_bilateral.h.

## trilinear_interpolation()

template<typename PointT >

Eigen::Vector2f pcl::FastBilateralFilter< PointT >::Array3D::trilinear_interpolation | ( | const float | x,
|  | const float | y,
|  | const float | z
| ) |  |

Definition at line 187 of file fast_bilateral.hpp.

Referenced by pcl::FastBilateralFilter< PointT >::applyFilter().

## x_size()

template<typename PointT >

std::size_t pcl::FastBilateralFilter< PointT >::Array3D::x_size | ( |  | ) | const

inline

Definition at line 150 of file fast_bilateral.h.

## y_size()

template<typename PointT >

std::size_t pcl::FastBilateralFilter< PointT >::Array3D::y_size | ( |  | ) | const

inline

Definition at line 154 of file fast_bilateral.h.

## z_size()

template<typename PointT >

std::size_t pcl::FastBilateralFilter< PointT >::Array3D::z_size | ( |  | ) | const

inline

Definition at line 158 of file fast_bilateral.h.

The documentation for this class was generated from the following files:

- pcl/filters/fast_bilateral.h
- pcl/filters/impl/fast_bilateral.hpp